Bug 99519 - Web Inspector: inspector/styles/styles-history.html is failing Text on Windows and Linux
Summary: Web Inspector: inspector/styles/styles-history.html is failing Text on Window...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Vsevolod Vlasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-16 16:02 PDT by Dana Jansens
Modified: 2012-10-19 06:45 PDT (History)
11 users (show)

See Also:


Attachments
Patch (5.23 KB, patch)
2012-10-19 06:35 PDT, Vsevolod Vlasov
apavlov: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Dana Jansens 2012-10-16 16:04:51 PDT
Committed r131522: <http://trac.webkit.org/changeset/131522>
Comment 2 Dana Jansens 2012-10-17 13:33:53 PDT
This test is also flaky failing text on Linux: http://build.chromium.org/p/chromium.webkit/builders/WebKit%20Linux%20(dbg)/builds/208

But differently than windows.

Linux:
--- /b/build/slave/WebKit_Linux__dbg_/build/layout-test-results/inspector/styles/styles-history-expected.txt 
+++ /b/build/slave/WebKit_Linux__dbg_/build/layout-test-results/inspector/styles/styles-history-actual.txt 
@@ -23,15 +23,10 @@
 }
 
 Running: testSetContentViaModelMajor
-History length: 2
+History length: 1
 Item 0:
 body {
   margin: 20px;
   padding: 10px;
 }
-Item 1:
-body {
-  margin:30px;
-  padding: 10px;
-}
 

Windows:
--- E:\b\build\slave\WebKit_Win7__dbg__2_\build\layout-test-results\inspector/styles/styles-history-expected.txt 
+++ E:\b\build\slave\WebKit_Win7__dbg__2_\build\layout-test-results\inspector/styles/styles-history-actual.txt 
@@ -23,7 +23,7 @@
 }
 
 Running: testSetContentViaModelMajor
-History length: 2
+History length: 3
 Item 0:
 body {
   margin: 20px;
@@ -31,6 +31,11 @@
 }
 Item 1:
 body {
+  margin:25px;
+  padding: 10px;
+}
+Item 2:
+body {
   margin:30px;
   padding: 10px;
 }
Comment 3 Dana Jansens 2012-10-17 13:36:43 PDT
Committed r131637: <http://trac.webkit.org/changeset/131637>
Comment 4 Vsevolod Vlasov 2012-10-19 06:35:07 PDT
Created attachment 169611 [details]
Patch
Comment 5 WebKit Review Bot 2012-10-19 06:40:20 PDT
Comment on attachment 169611 [details]
Patch

Rejecting attachment 169611 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/Source/JavaScriptCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/14461444
Comment 6 Vsevolod Vlasov 2012-10-19 06:45:04 PDT
Committed r131895: <http://trac.webkit.org/changeset/131895>